const express = require("express");
var app = express();
var bodyParser = require('body-parser');
app.use(bodyParser.json({ limit: '100mb' }));
app.use(bodyParser.urlencoded({ limit: '500mb', extended: true, parameterLimit: 100000 }));
const { catchErrors, checkToken } = require("../handlers/errorHandlers");
const WebServiceController = require("../controllers/WebServiceController");
const GlobalCategoryController = require("../controllers/GlobalCategoryController");
const router = express.Router();
router.route("/webservice").post(catchErrors(WebServiceController.webService));
router.route("/globalcategory").get(catchErrors(GlobalCategoryController.getAllCategories));

module.exports = router;